EximiousSoft Cool Image

Welcome to EximiousSoft Cool Image

EximiousSoft Cool Image is a excellent image editing tools.Get all essential tools for producing professional quality pictures, edit visually and easily by drag and drop,compose the object as layer for generating composite image.EximiousSoft Cool Image can import from and export to various image format files, such as GIF,AVI, BMP, JPG,PCX,PNG,TIFF,TGA,PSD,ICO,CUR,ANI etc..Anti-Aliasing automatically which applys every operation for Generating high smooth pictures.EximiousSoft Cool Image provides Rectangle,Ellipse,Lasso,Magic Wand selection tools.it can be used to cut,copy,move,delete a area of an image.Erase tool can help you get rid of unwanted portion easily.Line tool draws the smoothest lines as you desire.Many shapes are also supproted by EximiousSoft Cool Image.

More and more powerful functions will be provided by EximiousSoft Cool Image in the future version.


Getting Started

When you first open EximiousSoft Cool Image, you will notice immediately that there are five major components to the program window:the menu bar at the top, the two toolbars below it,the Options panel on the left,the Objects Panel on the right,and the workspace on the center.You can edit pictures freely in the view.

Usually,when EximiousSoft Cool Image starts,there is only a simple color or transparent completely image in it.If you want to change the dimension or color of the initialized picture,choose File>New Image menu item.You can perform File>Open Image File(s) or File>Open Avi File or File>Add Image(s) or File>Add AVI to load image file(s) from disk.


Workspace

Below is a screenshot of EximiousSoft Cool Image presents the dw15.gif animation.

The most important area,of course,is the main window area. Current editing image is present in it. You can use tools that EximiousSoft Cool Image is provided to modify it as you desire. When you specify a tool,its options are listed in the Options Panel.You can modify these options directly here.All objects are listed in the Object Panel which on the right.


Open Image File

Choose Open Image File menu item to load an image from external disk.Additionally,only a single file can be loaded once.If you want to import many image files once,please click the File>Add Image(s) menu item. EximiousSoft Cool Image supports various format image files:including GIF (Graphics Interchange Format),BMP(Windows Bitmap Format),JPG(JPEG Format),PSD(Photoshop PSD Format), PNG(Portable Network Graphics),ANI(Windows animated cursors),ICO(Windows icons),CUR (Windows cursors) etc..


Open AVI File

Choose Open AVI File menu item to load a picture from an AVI file. If you want to load more AVI files,please choose File>Add AVI menu item to add them.


Add Image(s)

Choose Add Image(s) menu item (or corresponding toolbar button) that provides a way for inserting new pictures as objects into current editing image.It brings up the extended File Open dialog. Select the file or files that you wish to insert and hit OK.


Add AVI

Choose Add AVI menu item that provides a way for inserting new frames of the AVI into current editing image.It brings up the extended File Open dialog. Select the file that you wish to insert and hit OK.


Save

You can save current composite image to EximiousSoft Cool Image File by using Save meau item.The criterionis of EximiousSoft Cool Image File is defined by EximiousSoft Inc. It can be saved all infomation of current editing image.If you has no time to finish residual work,you can save your editing image to an EPP file.Next time you can load the file and continue to work.When you want to save current image to other format image file ,you may choose File>Save As menu item.


Save As Image Frames

Save As

EximiousSoft Cool Image supports following image file formats for saving.GIF(Graphics Interchange Format);BMP (Windows Bitmap);JPG (JPEG File Interchange Format);PCX (PC Paintbrush);PNG (Portable Network Graphics);TIFF (Tag Image File Format);TGA (Targa File Format);PSD (Photoshop File Format); ICO (Windows Icons);CUR(Windows Cursors);ANI (Windows Animator Cursors).


Copy Selection

Makes a duplicate of the active objects and places them in the clipboard.


Copy Merged

All active objects are merged as a single object and place it to clipboard.


Cut Selection

Removes the active objects and places them in the clipboard.


Paste

Two types of objects can be pasted into EximiousSoft Cool Image by using the Windows clipboard: Device Independent Bitmaps cut or copied from another application and proportion or entire image that were cut or copied from within EximiousSoft Cool Image. In either case, the pasted image(s) as new objects.


Delete Selection

Remove the active objects.


Select All

Select the entire image.


Unselect All

Make no selection.


Invert

Selects all areas except for the original selection.


Resize Image

You can resize current image by adjusting its dimensions in pixels or percent.While resizing, you can also choose preserve ratio option to adjust the resized image's appearance.


Select Object(s)

Before performing many operations,a object must be selected at least.

EximiousSoft Cool Image provides two ways to select objects;
(1) Choose "Default Mode" from drawing toolbar,click the untransparent area of the object which you want to select.
(2) Click list item in the objects panel.When it is highlighted,that means it is selected.(see following screenshot).

More than one object can be selected at one time.To select more than one objects, start by selecting a single object then use the standard Windows multiple-selection shortcuts of Ctrl+click and Shift+click to add to the selection. Ctrl+click on a object adds that object to the selected list (or removes it if the object is previously selected) and Shift+click on a object adds all of the objects between the last selected objects and the clicked one to the selected list.


Drag Object(s)

(1) Choose "Default Mode" from drawing toolbar,and select the objects which you want to drag;
(2) Move mouse to new position that the selected objects will be placed in.During these process,don't release up mouse button;
(3) Release up the mouse button,the selected objects then placed in the new positon.


New Object

Adds a new transparent object in the workspace with the same dimensions as the animation.
EximiousSoft Cool Image provides two ways to implement it:
(1) Click Object >New Object menu item;
(2) Click New Object icon in the objects panel (see following screenshot).


Duplicate Object(s)

Before you perform "Duplicate Object(s)" action,a object must be selected at least.
Duplicate a copy of every selected object and insert it into workspace as a new object.
EximiousSoft Cool Image provides two ways to implement it.
(1) Click Object >>Duplicate Object(s) menu item.
(2) Click Duplicate Object(s) icon in the objects panel (see following screenshot).


Delete Object(s)

Delete the selected object(s) in the workspace.Before you do it, a object must be selected at least.
EximiousSoft Cool Image provides two ways to implement it:
(1) Click Object >>Delete Object(s) menu item;
(2) Click Delete Object(s) icon in the objects panel (see following screenshot).


Trim Objects

Trims excess borders for those image objects which have added to workspace to make the area surrounding transparent.Before you do it, a object must be selected at least.
EximiousSoft Cool Image provides two ways to implement it:
(1) Click Object >>Trim Object(s) menu item.
(2) Click Object Manage Commands icon in the objects panel,choose Object >>Trim Object(s) menu item (see following screenshot).


Combine as single object

Merges the selected objects into one object. Before you do it,two objects must be selected at least.
EximiousSoft Cool Image provides two ways to implement it:
(1) Click Object > Combine as single object menu item.
(2) Click Object Manage Commands icon in the objects panel,choose Object > Combine as single object menu item (see following screenshot).


Make image as single object

Merges all visible objects in the current picture as a new object and insert it to workspace. Before you do it,two visible objects must be selected at least.


Object's Properties

Modify Object's Properties

EximiousSoft Cool Image provides many ways to modify current selected object's properties.

You can choose following one:

  1. Select the object,choose Objects menu from menu bar,then click Properties menu item.

  2. Select the object,click the right mouse button on it.A track menu pops,then click Properties menu item.

  3. Click the Properties icon on the objects panel.

    All properties of the object are presented by two property page.One is General Page, the other is Shadow Page.

    General Attributes

    Object name | A string is used to describe the object. It can't contain more than 48 characters.
Transparency | Set a higher value to make the object more transparent. This allows other images below the object to show through more clearly.
Visible | Select to keep the object visible in the frame. Clear to hide the object.
Top & Left | Displays the object’s top-left coordinates. Enter new coordinates to move the object.
Lock | Anchors the object to its position on the frame.
Width & Height | Choose the desired size for the image.
Filters | Choose the desired filter which will be applied to resize image.
Preserve ratio | Maintains the horizontal and vertical proportion for the image when resizing.
Unit | Choose the unit of size of the image.It can be percentage or pixel.

    Shadow Attributes

    X- and Y-offset | Set the offset in pixels for the shadow.
Skew angle | Adjust the angle of inclination of the shadow.
Perspective | Adjust the perspective of an image to make the object appear as if it has depth or distance. This is only available in floor shadow option.
Transparency | Set a low value to have a darker shadow and a high value to allow more of the base image to show through the shadow.
Size | Select the size of the shadow in relation to the size of the image or selection.
Smooth | Set a higher value to blend the shadow more smoothly into the background.


Default Mode

Move all active objects forwardly.
Move all active objects backwardly.
Move all active objects to front.
Move all active objects to back.

Using these tools when two or more objects selected results in the objects being aligned in reference to the edges of the bounding box. For example, when two objects are selected and align top is selected, the top side of the lower object in the workspace will be aligned to the top side of the object above it. When only one object is selected, that object will be aligned in reference to the edges of the animtaion.

Aligns the centers of the object selected in reference to the animation's edges.
In addtional,you can Select Object(s) or Drag Object(s) In Default Mode.


Create Selection

EximiousSoft Cool Image provide many selection tools for selecting all or part of an image.

To select an entire image:

Click Edit > Select All menu item.

To select part of an image, use these selection tools:

Rectangular Select | Selects a rectangular area.
Elliptical Select | Selects an elliptical area.
Lasso Select | Selects a freehand area.
Magic Wand | Selects image areas matching the color chosen with the wand.


Elliptical Selection

You can use the Elliptical Selection tool to select an elliptical area of an image. After selecting an area, you can copy,cut,delete,crop and paste it.

Round corner | This option has no effect in ellipse selection.
Equal width and height | Make the width of the selection ellipse equal to its height.

To select a part of an image:

  1. On the Drawing toolbar, click the Elliptical Selection button.

  2. Drag the mouse pointer across the image to draw a marquee(see Example 2).

  3. To add to the selected area, hold the Shift key and drag the mouse pointer across the image (see Example 3).

  4. To remove a portion from the selected area, press the Ctrl key and drag the mouse pointer across the image (see Example 4).

Examples

(1) | (2) | (3) | (4)


Lasso Selection

You can use the Lasso Selection tool to create a freehand selection. After selecting an area, you can copy,cut,delete,crop and paste it.

To create a lasso selection:

  1. On the Drawing toolbar, click the Lasso Selection button.

  2. Drag the mouse pointer on the image to draw a marquee. When you double click and release the mouse, EximiousSoft Cool Image completes the selection area between the start point and the end point(see example 2).

  3. To add to the selected area, hold the Shift key and drag the mouse pointer across the image(see example 3).

  4. To remove a portion from the selected area, press the Ctrl key and drag the mouse pointer across the image(see example 4).

Examples

(1) | (2) | (3) | (4)


Magic Wand Selection

You can use the Magic Wand Select tool to select image areas that match the color you select with the wand. After selecting an area, you can copy,cut,delete,crop and paste it.

To select an area using the Magic Wand Select tool:

  1. On the Drawing toolbar, click the Magic Wand Selection button. The mouse pointer changes to a wand.

  2. Click the image area that contains the desired color.

  3. To add other image areas to the selected area, press the Shift key and click another area.

  4. To remove other image areas from the selected area, press the Ctrl key and click another area.

Magic Wand options
Similarity | Determines how closely a pixel's color must match the selected color for it to be included in the selected area. Higher values include more pixels in the selection.
Only connected pixels | Select Only connected pixels if you only want to search the adjacent pixels where the mouse was clicked.

Examples


Drag Selection

If you are working in selection mode,and you have made a selection in current image.Move mouse,when it become [image].That means the position of mouse point is just in the selection area.Now you can click and Move mouse to new position.Release up the mouse button,the selection moves to the specified position.


Rectangular Selection

You can use the Rectangular Selection tool to select a rectangular area of an image. After selecting an area, you can copy,cut,delete,crop and paste it.

Round corner | Specifies how much to round the selection rectangle's corners. Higher values produce more rounded corner.
Equal width and height | Make the width of the selection rectangle equal to its height.

To select a rectangular part of an image:

  1. On the Drawing toolbar, click the Rectangular Selection button.

  2. Drag the mouse pointer across the image to draw a marquee(see example 2).

  3. To add to the selected area, hold the Shift key and drag the mouse pointer across the image(see example 3).

  4. To remove a portion from the selected area, press the Ctrl key and drag the mouse pointer across the image(see example 4).

Examples

(1) | (2) | (3) | (4)


Add Text

EximiousSoft Cool Image provides many ways to Add text to current frame.

You can choose following one:

  1. Click Text toolbar button,then click on the edit view which hold the current frame.

  2. Click the right mouse button on edit view.A track menu pops,then click Add Text menu item.

Now you can customize the text's attributes. One property page is Text Page, the other is Outline Page.

Text Attributes

Alignment | Select the alignment.
Font | Select a font type from the drop-down list.
Size | Select the font size.
Color Box | Select the color of the text. Click on the box to change the color.
Style | Select the font style.
Vertical | Select to rotate the text 90 degrees clockwise.
Line | Adjusts the interval between the lines of your text. The higher the value the larger the interval.
Baseline | Adjusts the vertical position of the selected text. A positive value will position the selected text below the original baseline; a negative value positions it above.
Character | Adjusts the interval between each character of the text. The higher the value the larger the interval.

Outline Attributes

Color | Select the outline color as you desire.
Thickness | Adjust the width of pen for stroking outline.
Transparency | Set a low value to have a clear outline and a high value to allow more of the base image to show through the outline.
Smooth | Set a higher value to blend the outline more smoothly into the background.


Draw Line

You can use the pencil tool to draw lines on your image.

To draw a line:

  1. Click the Pencil button.

  2. Drag the mouse pointer across the image.

Line options

Transparency

Specifies the transparency of the line.

Width

Specifies the line width in pixels. Higher value create wider line.

Type

  • Straight Line: Allows you to paint a single straight line. Click where you want to start the line then click again at the end point to create the line.

  • Freehand: Allows you to paint freely on the image.

Cap

Specifies an end cap style to add to the line.

  • Round: rounds the ends of the line.

  • Square: squares the ends of the line.

Allow paint transparent areas

Select if you want to paint lines on the transparent areas.


Erase

You can use the Erase tool to remove colors from your image.

To erase colors from your image:

  1. On the Drawing toolbar, click the Erase button.

  2. Paint on those colors in the image that you want to erase. Hold down the left mouse button while erasing to reveal background.

Transparency

Specifies the transparency of Erasing.

Width

Specifies the line width in pixels. Higher value made wider transparent area.

Type

  • Straight Line: Allows you to paint a single straight line. Click where you want to start the line then click again at the end point to create the line.

  • Freehand: Allows you to erase freely on the image.

Cap

Specifies an end cap style to add to the line of erasing.

  • Round: rounds the ends of the line.

  • Square: squares the ends of the line.


Flood Fill

You can use the Flood Fill tool to add color to parts of a image by replacing all pixels that are similar in color with a selected color.

To fill part of a image:

  1. Click the Flood Fill button.

  2. Do one of the following:

    • To fill with the fore color, click an area.

    • To fill with the background color, right-click an area.

Flood Fill options

Transparency | Specifies the transparency of the fill.
Similarity | Specifies how similar in color the pixels must be before the fill color replaces them. Higher values increase the tolerance for color variations, resulting in more color-filled pixels.
Only fill connected pixels | Select to limit the Fill Tool's effect to the adjacent area where the mouse button was clicked. Deselect to have the Fill Tool's effect encompass the entire workspace.
Allow painting on transparent areas | Select if you want to fill on the transparent areas.

Example

No color fill | Similarity 10 | Similarity 50 | Similarity 100


Pick Color

You can choose pick color tool to change color setting.

To change colors using the pick color tool:

  1. Click the Pick Color button on the Drawing toolbar.

  2. Do one or both of the following:

    • Click a color in the image to set the fore color.

    • Right-click a color in the image to set the background color.


Drawing Rectangle

You can use the Rectangle tool to draw a rectangle on a image.

To draw a rectangle:

  1. Click the Rectangle button.

  2. Drag the pointer across the image to draw the rectangle.

  3. Release mouse button.

Rectangle options

Transparency | Specifies the transparency of the rectangle you draw on your image.
Line width | Specifies the border width in pixels. Higher values increase border width.
Round corner | Specifies how much to round the rectangle's corners. Higher values produce more rounded corner.
Fill inside | Fills the object using the background color.
Gradient | Fill by gradient color.


Drawing Ellipse

You can use the Ellipse tool to draw a ellipse on a image.

To draw a ellipse:

  1. Click the Ellipse button.

  2. Drag the pointer across the image to draw the ellipse.

  3. Release mouse button.

Ellipse options

Transparency | Specifies the transparency of the ellipse you draw on your image.
Line width | Specifies the border width in pixels. Higher values increase border width.
Fill inside | Fills the object using the background color.
Gradient | Fill by gradient color.


Drawing Polygon

You can use the Polygon tool to draw a polygon on a image.

To draw a polygon:

  1. Click the Polygon button.

  2. Drag the pointer across the image to draw the polygon.

  3. Double click and release mouse button.

Polygon options

Transparency | Specifies the transparency of the polygon you draw on your image.
Line width | Specifies the border width in pixels. Higher values increase border width.
Fill inside | Fills the object using the background color.
Gradient | Fill by gradient color.


Gray

You can convert current selected objects to their 256-color grayscale mirror by using Transform>Gray menu item.


Rotate

You can rotate current selected objects by using Transform>Rotate menu item.

Rotate Option

Left 45 Degrees | turn current selected objects left 45 degrees
Left 90 Degrees | turn current selected objects left 90 degrees
180 Degrees | turn current selected objects 180 degrees
Right 45 Degrees | turn current selected objects right 45 degrees
Right 90 Degrees | turn current selected objects right 90 degrees
Custom Angle | rotate current selected objects by specified angle.


Brightness/Contrast

Adjust Brightness/Contrast

You can adjust current selected objects' brightness and contrast by using Transform>Adjust Brightness/Contrast menu item or corresponding toolbar button.

options

Brightness | Specifies the image's light intensity: Moving the slider to the right to lighten the image, while moving the slider to the left to darken it.
Contrast | Specifies the amount of difference between color and brightness in image:Moving the slider to the right to darken the shadowed areas in an image, while moving the slider to the left to brighten them.


Red/Green/Blue

Adjust Red/Green/Blue

Adjust current selected objects' red, green, and blue (RGB) color values. Move the sliders to adjust the amount of Red, Green, and Blue.And you could preview the changed result in the view.


Hue/Saturation/Lightness

Adjust Hue/Saturation/Lightness

You can adjust current selected objects' HSL (hue,saturation and lightness) values. Move the sliders to adjust the Hue, Saturation, and Lightness amounts.The result can be previewed in the view.


Blur/Gaussian Blur

You can use the Blur filter to apply different kinds of blur to current selected objects.Specifies the amount of blur by Moving the slider to the right to intensify the effect.The result can be previewed in the view.


Sharpness

You can sharpen current selected objects. the action increase the color difference in adjacent pixels,Specifies the amount of light added from each edge by moving the silider Higher values to produce darker edges.The result can be previewed in the view.


Emboss

You can use the Emboss effect to create a grayscale relief of current selected objects.

Emboss options

Elevation | Specify the light source's elevation on the image. Lower values produce more shadows and a darker image. Higher values produce fewer shadows and a lighter image.
Weight | Specify the amount of relief added to the image. Higher values increase the relief depth.
Azimuth | Specify the angle of shadows that extend from the edges of image details. A value of 0 adds shadows to the right side, while a value of 180 adds shadows to the left side.

Example:

origin frame embossed frame


Negative

You can use the Negative effect to create a negative of your selected objects.
for example:

Origin Frame Negative image


Purchase

Order---EximiousSoft Cool Image

Registering will give you the following benefits:
1.No marks of string "EximiousSoft" when saving image to a file;
2.Lifetime free upgrades;
3.Priority over in supporting and fixing;
4....and much more.

Share-it Secure Ordering
Buy it now for only $29.95
The order process is protected by a secure connection. Your personal data is encrypted and cannot be accessed by a third party. We do not record your credit card information.
Delivery:
You will receive the registration information electronically immediately after ordering successfully! Rregistration code will be sent to you via e-mail.If you do not receive it within a reasonable amount of time (usually one business day for credit card payments or two weeks for other payments), please inform us!
All POS must include the following information so that we can process your order:
1.The product name (EximiousSot Cool Image);
2.The number of units you wish to order;
3.The e-mail address for the order confirmation and invoice and, if different, the e-mail address for delivery;
4.The currency you would like to order in (if applicable).


Faq

Frequently Asked Questions

Q: Do I have to pay for the upgrades or tech support?
A: No! All upgrades and tech support are free to registered EximiousSoft Cool Image users.

Q: Is your online order form secure?
A: Yes, it is 100% secure.

Q: What is the difference between the unregistered version and registered one?
A: No marks of string "EximiousSoft" when an image is saved to a file by using the registered version.


Contact Us

There are many ways to contact us. Our staff is available from 9:00AM to 5:00PM,from Monday to Friday(Pacific Standard Time)

By E-Mail
Sales:sales@EximiousSoft.com
Technical Support: support@EximiousSoft.com
Contact author: author@EximiousSoft.com
Technical support
If you need technical support, please provide the following information when contact us:
1.The product name (EximiousSot Cool Image)
2.Your product version number (indicated in the About box)
3.Your working environment (Operating system, development tool, etc)
4.A description of how to reproduce the problem